KKatch Developers

List tasks

GET
/tasks

Retrieves a paginated list of tasks.

Authorization

apiKeyAuth
headerAuthorization<token>

Required on every request. Send apikey <your-api-key>, together with the x-seller-id header.

Query Parameters

limit?integer

Number of items per page (default and max 10)

Rangevalue <= 10
Default10
page?integer

Page number for pagination (default 1)

Default1
search?string

Search term to filter results

Default""
sortBy?string

Field to sort by

Default""
ignoreRegex?boolean

Whether to ignore regex in search (default false)

sortOrder?integer

Sort order (1 for ascending, -1 for descending; default 1)

Default1
Value in1-1

Header Parameters

x-seller-id*string

Your seller id.

Response Body

List of tasks retrieved successfully

application/json
  1. response
tasks*array<>

List of tasks.

page*integer

The current page number of the results.

limit*integer

The number of items per page.

totalPages*integer

The total number of pages available.

total*integer

The total number of tasks available.

curl -X GET "https://example.com/tasks" \  -H "x-seller-id: YOUR_SELLER_ID"
{  "tasks": [    {      "id": "string",      "sellerId": "string",      "sellerName": "string",      "orderNumber": "string",      "customerName": "string",      "customerNumber": "string",      "alternateCustomerNumber": "string",      "deliveryZone": "string",      "additionalAddressDetail": "string",      "collectCash": true,      "totalAmount": "string",      "specialNotes": "string",      "status": "pending",      "kmart": true,      "customPickup": true,      "statusHistory": [        {          "id": "string",          "status": "pending",          "timestamp": "2019-08-24T14:15:22Z"        }      ],      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "deliveryId": "string",      "driver": {        "name": "string",        "phone": "string",        "trackingLink": "string"      },      "deliveryTime": "2019-08-24T14:15:22Z",      "completedTime": "2019-08-24T14:15:22Z",      "sellerDetail": {        "shopName": "string",        "phone": "string",        "address": "string",        "location": "string"      },      "deliveryDispatched": true,      "pickupLocation": {        "latitude": 0.1,        "longitude": 0.1      },      "addressDetails": {        "fromAddr": {          "address": "string",          "moreInfo": {            "streetNumber": "string",            "streetName": "string",            "neighborhood": "string",            "locality": "string",            "administrativeArea": "string",            "country": "string",            "postalCode": "string"          }        },        "toAddr": {          "address": "string",          "moreInfo": {            "streetNumber": "string",            "streetName": "string",            "neighborhood": "string",            "locality": "string",            "administrativeArea": "string",            "country": "string",            "postalCode": "string"          }        }      },      "travelDetail": {        "totalDistance": 0,        "duration": 0,        "durationInTraffic": 0,        "hasTraffic": true,        "estimatedDelayByTraffic": 0      },      "tookanwebhookrequest": {}    }  ],  "page": 0,  "limit": 0,  "totalPages": 0,  "total": 0}